package com.trade.admin.enterprise.customer.domain;

import com.trade.common.core.page.PageDomain;
import io.swagger.annotations.ApiModelProperty;

/**
 * @description: 客户推荐码查询
 * @Author: wanglang
 * @Date: 2024/5/29 9:27
 * @Version: 1.0
 */
public class SearchCustomerReferralCode extends PageDomain {

    /**
     * 用户名(用户昵称)
     */
    @ApiModelProperty(name = "userName", value = "户名(用户昵称)")
    private String userName;
    /**
     * 角色名称
     */
    @ApiModelProperty(name = "roleName", value = "角色名称")
    private String roleName;
    /**
     * 当前登录用户的ID（B端用户）
     */
    @ApiModelProperty(name = "currentUserId", value = "当前登录用户的ID（B端用户）")
    private Long currentUserId;

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public Long getCurrentUserId() {
        return currentUserId;
    }

    public void setCurrentUserId(Long currentUserId) {
        this.currentUserId = currentUserId;
    }
}
